# Settings

> The Settings Module is where your entire Project is configured, making it the first place to go after installation. To
> maintain project safety and integrity, this module is only available to Administrators.

<video autoplay muted loop controls>
<source src="https://cdn.directus.io/docs/v9/app-guide/settings/settings-20220308A/settings-20220308A.mp4" type="video/mp4" />
</video>

::: warning Administrators Only

Only Administrators have access to the Settings Module.

:::

Settings are split into five distinct sections, each described below.

- [Project Settings](/configuration/project-settings) — Setup branding and other global style options.
- [Data Model](/configuration/data-model) — Create and modify [Collections](/getting-started/glossary/#collections),
  [Relationships](/getting-started/glossary/#relationships), form layout, and
  [Fields](/getting-started/glossary/#fields).
- [Roles & Permissions](/configuration/users-roles-permissions) — Create and manage access via Roles and Permissions.
- [Presets & Bookmarks](/configuration/presets-bookmarks) — Set default views of data and configure bookmarks.
- [Webhooks](/configuration/webhooks) — Use platform events to trigger external services.

Aside from the above pages, there are three shorthand links:

- **Report Bug**\
  A direct link to report a bug in the platform. When using this button, helpful debugging information about your project
  is automatically included, such as: version number, operating system, and environment type.

- **Request Feature**\
  A direct link to [submit a new feature request](https://github.com/directus/directus/discussions/new) on GitHub. Feature
  requests are a great way to let our team know what should be prioritized next. Learn more about making feature requests
  in the [Contributing > Introduction](/contributing/introduction/#feature-requests).

- **Platform Version**\
  Displays the exact version of your platform. Click this button to go to the GitHub releases page, which includes the full
  change logs.
